GET /files/{bucket}/{id}¶
Endpoint¶
GET /files/{bucket}/{id}
Headers¶
biometrid-credential: YOUR_CREDENTIAL_ID
biometrid-process: PROCESS_ID for buckets: processes, videos, audios
Content-Type: application/json
Parameters¶
| Parameter | Type | Required | Description |
|---|---|---|---|
bucket |
string | yes | Bucket name (attachments, processes, videos, audios) |
id |
string | yes | File ID |
Allowed bucket values:¶
attachments- Attachment filesprocesses- Process-related filesvideos- Video filesaudios- Audio files
cURL Example¶
curl -X GET "https://api.uat.biometrid.com/files/processes/file_abc123" \
-H "biometrid-credential: YOUR_CREDENTIAL_ID" \
-H "biometrid-process: PROCESS_ID" \
-H "Content-Type: application/json"
Response (200)¶
Returns the file as binary data (Base64 encoded).
Content-Type: text/plain
Content: U29tZSByYW5kb20gZGF0YQ==
Response (403)¶
{
"data": {},
"meta": {
"message": "Process finished",
"code": "BIOPMSCE002"
},
"status": false
}
Response (404)¶
{
"data": {},
"meta": {
"message": "File not found",
"code": "BIOFLFSE004"
},
"status": false
}
Response (409)¶
{
"data": {},
"meta": {
"message": "Flow not active",
"code": "BIOACASE006"
},
"status": false
}